summaryrefslogtreecommitdiff
path: root/ext/digest/sha1/extconf.rb
diff options
context:
space:
mode:
authornobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-11-27 00:58:52 +0000
committernobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-11-27 00:58:52 +0000
commitf0a229b69b40e27a1f0e542a1d4099bd832d8cda (patch)
treee9e5895e0ae2a803c3603483c94f27d4b36d9fb4 /ext/digest/sha1/extconf.rb
parent4df479f50b66ebbde130668a39714e9b6f8b0aaa (diff)
extconf.rb: git rid of post-1.8 feature
* ext/digest/*/extconf.rb, ext/openssl/extconf.rb: get git rid of post-1.8 feature require_relative for cross compilation. [ruby-core:50160] [Bug #7439] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37878 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/digest/sha1/extconf.rb')
-rw-r--r--ext/digest/sha1/extconf.rb3
1 files changed, 2 insertions, 1 deletions
diff --git a/ext/digest/sha1/extconf.rb b/ext/digest/sha1/extconf.rb
index a4d5bbcf48e..d7e52fe7310 100644
--- a/ext/digest/sha1/extconf.rb
+++ b/ext/digest/sha1/extconf.rb
@@ -1,3 +1,4 @@
+# -*- coding: us-ascii -*-
# $RoughId: extconf.rb,v 1.3 2001/08/14 19:54:51 knu Exp $
# $Id$
@@ -10,7 +11,7 @@ $objs = [ "sha1init.#{$OBJEXT}" ]
dir_config("openssl")
pkg_config("openssl")
-require_relative '../../openssl/deprecation'
+require File.expand_path('../../../openssl/deprecation', __FILE__)
if !with_config("bundled-sha1") &&
have_library("crypto") && OpenSSL.check_func("SHA1_Transform", "openssl/sha.h")